Bug 1029951 - No Version history for Java source files, Form definitions
No Version history for Java source files, Form definitions
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER1
: 6.0.2
Assigned To: Pere Fernàndez
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 10:26 EST by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 15:54:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-11-13 10:26:25 EST
Description of problem:
Most assets/editors have a Metadata panel and in it a Version history section.
Some assets don't have this, breaking consistency at the very least. The result is also, obviously, that you cannot restore previous versions of some assets.

1. Java source files - editor has the Metadata panel, but there is no Version history section.

2. Form definitions - the editor doesn't use the look & feel and components most of the other assets use. There is no Metadata panel and no way to browse history or restore previous version. You cannot add any message when saving the form.

3. Designer does have some kind of version history, but completely different to the rest of the GUI. It doesn't let you record a message when you save a process and you cannot browse previous saved versions. It does have so called Local history, that makes snapshots of the process, unfortunately again without any option of adding a package. These snapshots also don't really correspond with the saves made.

While items 1 and 2 are the most problematic, changes to Designer wrt item 3 would be very appreciated.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER4
Comment 2 Pedro Zapata 2013-11-14 12:47:50 EST
won't address that for 6.0.

1. Metada panel is in read-only mode, but some features are missing in this mode. 
2. This requires a better integration with UF to embed the panel, this is something to be done in the next version.
3. Same as #2
Comment 3 Pere Fernàndez 2013-12-19 09:52:56 EST
Metadata tab added on form-modeler. (https://bugzilla.redhat.com/show_bug.cgi?id=1042853)
Comment 4 Zuzana Krejčová 2014-01-24 07:47:25 EST
The only change made was for the Form Modeler.
Comment 5 Jan 2014-01-24 09:15:49 EST
The java editor visualization widget was modified just yesterday and I forgot to add the meta data widget. Will correct this with priority.
Comment 6 Pere Fernàndez 2014-01-24 09:29:42 EST
Fixed on https://bugzilla.redhat.com/show_bug.cgi?id=1053562
Comment 8 Lukáš Petrovický 2014-02-07 11:19:54 EST
This no longer has a target release of 6.0.0.
Comment 9 Zuzana Krejčová 2014-02-21 04:54:38 EST
I can see no change in this - Form Modeler offers Metadata with History widget, Java source viewer and Designer offer Metadata panel, but no History widget.
Comment 11 Zuzana Krejčová 2014-04-29 11:15:14 EDT
Verified with ER2, widgets added.

Note You need to log in before you can comment on or make changes to this bug.